Subject: Re: [PATCH] pack-bitmap.c: ensure pack validity for all reuse packs

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Dec 2024 17:16:35 -0800

Taylor Blau <[email-masked]> writes:

> IOW, we no longer need to check the validity of the preferred pack in
> either case. But in an incremental MIDX bitmaps world, we do need to
> keep calling prepare_midx_bitmap_git() along the MIDX's ->base pointer,
> if non-NULL.

Thanks.

>> I wonder what we can do better to make sure the work a contributor has
>> already done (in this case, resolve interaction between two topics) is
>> not wasted and recreated (possibly incorrectly) by the maintainer.
>
> I am not sure. During the interim maintainer period, Patrick sent a
> couple of rounds of ps/build with a final patch to the effect of
> "unbreak everything in seen", which could be dropped.
>
> But I think an easier thing to do would have been for myself to indicate
> that you'd run into a non-trivial conflict here and provide the
> resolution proactively.

A trick used by recent series from Patrick say things like "this is
based on X, with Y and Z merged".  This patch could have done the
same way.  It of course makes two topics entangled and one takes the
other hostage, so we need to carefully judge if such a dependency is
worth it.  So far, I found Patrick's judgement on the choice of
dependencies quite solid (essentially, Y and Z must be cooked enough
at least for 'next', and can reasonably be expected to graduate while
we iterate on the new topic that is being built).

Thanks.